VULKAN_HPP_NAMESPACE::Pipeline Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | Pipeline ()
VULKAN_HPP_CONSTEXPR | Pipeline (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | Pipeline (VkPipeline pipeline)
Pipeline & | operator= (std::nullptr_t)
bool | operator== (Pipeline const &rhs) const
bool | operator!= (Pipeline const &rhs) const
bool | operator< (Pipeline const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkPipeline () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkPipeline | m_pipeline

## Detailed Description

Definition at line 3413 of file vulkan.hpp.

## Constructor & Destructor Documentation

## Pipeline() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Pipeline::Pipeline | ( |  | ) |

inline

Definition at line 3416 of file vulkan.hpp.

: m_pipeline(VK_NULL_HANDLE)
{}

## Pipeline() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::Pipeline::Pipeline | ( | std::nullptr_t |  | ) |

inline

Definition at line 3420 of file vulkan.hpp.

: m_pipeline(VK_NULL_HANDLE)
{}

## Pipeline() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Pipeline::Pipeline | ( | VkPipeline | pipeline | ) |

inline

Definition at line 3424 of file vulkan.hpp.

: m_pipeline( pipeline )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::Pipeline::operator bool | ( |  | ) | const

inline explicit

Definition at line 3464 of file vulkan.hpp.

{
return m_pipeline != VK_NULL_HANDLE;
}

References m_pipeline, and VK_NULL_HANDLE.

## operator VkPipeline()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::Pipeline::operator VkPipeline | ( |  | ) | const

inline

Definition at line 3459 of file vulkan.hpp.

{
return m_pipeline;
}

References m_pipeline.

## operator!()

bool VULKAN_HPP_NAMESPACE::Pipeline::operator! | ( |  | ) | const

inline

Definition at line 3469 of file vulkan.hpp.

{
return m_pipeline == VK_NULL_HANDLE;
}

References m_pipeline, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::Pipeline::operator!= | ( | Pipeline const & | rhs | ) | const

inline

Definition at line 3447 of file vulkan.hpp.

{
return m_pipeline != rhs.m_pipeline;
}

References m_pipeline.

## operator<()

bool VULKAN_HPP_NAMESPACE::Pipeline::operator< | ( | Pipeline const & | rhs | ) | const

inline

Definition at line 3452 of file vulkan.hpp.

{
return m_pipeline < rhs.m_pipeline;
}

References m_pipeline.

## operator=()

Pipeline& VULKAN_HPP_NAMESPACE::Pipeline::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3436 of file vulkan.hpp.

{
m_pipeline = VK_NULL_HANDLE;
return *this;
}

References m_pipeline, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::Pipeline::operator== | ( | Pipeline const & | rhs | ) | const

inline

Definition at line 3442 of file vulkan.hpp.

{
return m_pipeline == rhs.m_pipeline;
}

References m_pipeline.

## Field Documentation

## m_pipeline

VkPipeline VULKAN_HPP_NAMESPACE::Pipeline::m_pipeline

private

Definition at line 3475 of file vulkan.hpp.

Referenced by operator bool(), operator VkPipeline(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::Pipeline::m_pipeline
VkPipeline m_pipeline
Definition: vulkan.hpp:3475
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49